summaryrefslogtreecommitdiffstats
path: root/system/gdm/gdm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/gdm/gdm.SlackBuild')
-rw-r--r--system/gdm/gdm.SlackBuild32
1 files changed, 14 insertions, 18 deletions
diff --git a/system/gdm/gdm.SlackBuild b/system/gdm/gdm.SlackBuild
index f9ef8f5985..d5a46fb09c 100644
--- a/system/gdm/gdm.SlackBuild
+++ b/system/gdm/gdm.SlackBuild
@@ -1,15 +1,15 @@
#!/bin/sh
-# Slackbuild Script for gdm
+# Slackbuild Script for GDM
#
# Written by James Rich james@chowhouse.com
#
# Assumed to be in public domain per our submission guidelines
# Modified by the SlackBuilds.org project
-# Script maintained by Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Modified by Frank Caraballo <fecaraballo{at}gmail{dot}com>
PRGNAM=gdm
-VERSION=2.20.7
+VERSION=${VERSION:-2.20.9}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -23,14 +23,18 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -43,26 +47,18 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc/X11 \
- --localstatedir=/var/lib/$PRGNAM \
+ --localstatedir=/var/lib \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --program-prefix="" \
- --program-suffix="" \
--disable-scrollkeeper \
--enable-console-helper=no \
- --enable-shared=yes \
--enable-static=no \
--enable-ipv6=yes \
--with-dmconfdir=/etc/X11/$PRGNAM \
- || exit 1
-
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --build=$ARCH-slackware-linux
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+make
+make install-strip DESTDIR=$PKG
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;